package com.m2pool.pool.entity;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Set;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class OpenApiKey implements Serializable {

    /** 用户唯一标识 */
    private String key;

    /** 用户邮箱 */
    private String user;

    /** apiKey绑定的ip */
    private String apiIp;

    private String permissions;

}
