//package com.m2pool.pool.utils;
//
//import cn.hutool.http.HttpRequest;
//import com.alibaba.fastjson.JSONObject;
//
//import org.springframework.boot.autoconfigure.SpringBootApplication;
//import org.springframework.scheduling.annotation.EnableAsync;
//
//import java.util.concurrent.CountDownLatch;
//import java.util.concurrent.ExecutorService;
//import java.util.concurrent.Executors;
//import java.util.concurrent.TimeUnit;
//
//
///**
// * @Description TODO
// * @Date 2024/6/24 10:21
// * @Author 杜懿
// */
//@SpringBootApplication
//@EnableAsync // 启用异步支持
//public class Demo {
//
//    // 目标 API 地址
//    private static final String API_URL = "http://10.168.2.249:22334/bindAddress";
//
//
//    public static void main(String[] args)  throws InterruptedException {
//        // 定义并发线程数
//        final int concurrency = 3;
//        final CountDownLatch startLatch = new CountDownLatch(1);
//        final CountDownLatch finishLatch = new CountDownLatch(concurrency);
//
//        for (int i = 0; i < concurrency; i++) {
//            int id = i+1;
//            new Thread(() -> {
//                try {
//                    startLatch.await(); // 等待所有线程准备就绪
//                    JSONObject requestBody = new JSONObject();
//                    requestBody.put("chain", "eth");
//                    requestBody.put("symbol", "usdt");
//                    requestBody.put("user", "testAccount"+id);
//
//                    try {
//                        String body = HttpRequest
//                                .post(API_URL)
//                                .header("Content-Type", "application/json")
//                                .body(requestBody.toString())
//                                .timeout(3000)
//                                .execute()
//                                .body();
//                        System.out.println(Thread.currentThread().getName() + " 响应结果长度：" + body.length());
//                        System.out.println(body);
//                    }catch (Exception e){
//
//                    }
//                } catch (Exception e) {
//                    e.printStackTrace();
//                } finally {
//                    finishLatch.countDown();
//                }
//            }).start();
//        }
//
//        System.out.println("所有线程准备完成，开始并发请求...");
//        startLatch.countDown(); // 同时释放所有线程
//        finishLatch.await(2000, TimeUnit.MILLISECONDS);   // 等待所有线程完成
//        System.out.println("所有请求执行完毕");
//    }
//
//}
//
