package com.m2pool.common.datascope.annotation;

import java.lang.annotation.*;

/**
 * @Description 数据权限过滤注解
 * @Date 2024/6/12 15:13
 * @Author dy
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataScope {

    /**
     * 部门表的别名
     */
    public String deptAlias() default "";

    /**
     * 用户表的别名
     */
    public String userAlias() default "";

}
