package com.m2pool.chat.constant;

/**
 * @ClassName Destination
 * @Description 消息发送目的地
 * @Author yyb
 * @Date 2025/4/14 14:54
 */
public class Destination {

    /**
     * stomp 默认单对单 发送目的地.单对单消息默认 /
     */
    public static final String QUEUE = "/queue";

    /**
     * stomp 默认单对单 发送目的地.单对单消息默认 /
     */
    public static final String QUEUE_USER = "/queue/user";

    /**
     * stomp 默认单对单 发送目的地.单对单消息默认 /
     */
    public static final String QUEUE_CUSTOMER = "/queue/customer";
    /**
     * 聊天室关闭 路径
     */
    public static final String QUEUE_CLOSE_ROOM = "/queue/close/room/";

    /**
     * stomp 默认群发 目的地
     */
    public static final String TOPIC = "/topic";

    /**
     * 前端订阅消息所需前缀point。 stomp 默认user前缀。
     */
    public static final String USER_PREFIX = "/sub";

    /**
     * stomp 默认发送消息前缀。
     */
    public static final String SEND_PREFIX = "/point";
}
