package com.m2pool.chat.service;

import com.m2pool.chat.entity.StompPrincipal;
import com.m2pool.chat.vo.UserMessageVo;
import com.m2pool.common.core.web.Result.AjaxResult;

public interface StompService {

    /**
     * 发送消息给用户
     * @param userMessageVo
     * @return
     */
    AjaxResult sendMessageToUser(StompPrincipal principal, UserMessageVo userMessageVo);


    /**
     * 发送消息给客服
     * @param userMessageVo
     * @return
     */
    AjaxResult sendMessageToCustomer(StompPrincipal principal, UserMessageVo userMessageVo);
}