package com.m2pool.manage.service;

import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.manage.dto.ManageUserDto;
import com.m2pool.manage.dto.ManageUserInfoDto;
import com.m2pool.manage.vo.ManageUserInfoVo;
import com.m2pool.manage.vo.ManageUserVo;


/**
 * @Description 广播信息 服务接口
 */
public interface ManageUserService{

    /**
     * 分页查询所有用户信息
     * @param manageUserVo
     * @return
     */
    TableDataInfo<ManageUserDto> listInfo(ManageUserVo manageUserVo);

    /**
     * 发送存文本邮件
     * @param to
     * @param subject
     * @param text
     */
    void  sendTextMailMessage(String to,String subject,String text);


    /**
     * 管理系统:挖矿账户所有收益金额、时间、状态、转账地址
     * @param manageUserInfoVo
     * @return
     */
    R<ManageUserInfoDto> getUserInfo(ManageUserInfoVo manageUserInfoVo);
}
