package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @Description 广播请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(value = "广播请求对象")
public class ManageBroadcastVo{
    @ApiModelProperty(value = "id",example = "1")
    private Long id;

    @ApiModelProperty(value = "内容",example = "广播内容")
    private String content;
}
