package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @Description 查询用户详情信请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@ApiModel(value = "ManageUserInfoVo", description = "查询用户详情信请求对象")
public class ManageUserInfoVo {


    @ApiModelProperty(value = "用户对应的挖矿账号（一个用户可以对应多个）",example = "ceshi1",required = true)
    private String  minerUser;

    @ApiModelProperty(value = "币种",example = "nexa",required = true)
    private String coin;

}
