package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 曲线图数据结构
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class PowerLineDto implements Serializable {

    /** 日期 */
    private Date date;

    /** 矿工算力 */
    private BigDecimal pv;

    /** 拒绝率 */
    private BigDecimal rejectRate;

    private double price;

    /**
     * 算力单位
     */
    private String unit;

}
