package com.m2pool.pool.entity;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class BlockInfo implements Serializable {

    /** 区块高度 */
    private long height;

    /** 全网难度 */
    private BigDecimal difficulty;

    /** 全网算力 */
    private BigDecimal power;

    /** 报块奖励 */
    private BigDecimal reward;

    /** 报块手续费 */
    private BigDecimal fees;

    /** 报块实际收益 */
    private BigDecimal profit;

}
