package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.Email;

/**
 * @Description 通知 分页
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class NoticeAddVo {

    /** 挖矿账户id */
    public int maId;

    @Email
    public String email;

    @Xss
    public String remark;

    public String code;


}
